#ifndef __QUIVIEWER_H
#define __QUIVIEWER_H

#include <QMainWindow>
#include <QStyleFactory>

#include "ui_viewer.h"

class QComboBox;

class QwwUiViewer : public QMainWindow {
  Q_OBJECT
public:
  QwwUiViewer(QWidget *parent = 0);
  ~QwwUiViewer();
private:
  Ui::MainWindow ui;
  QWidget *slave;
  QComboBox *styleBox;
  QStyle *usedStyle;
  QStyleFactory _styles;
  QString _lastDir;
  
  void applyStyle(QStyle *s);
private slots:
  void on_actionOpenFile_triggered();
  void changeStyle(const QString &text);
public slots:
  void loadUi(const QString &filename);
};
#endif
