#include <QApplication>
#include "qwwuiviewer.h"
#include <iostream>

int main(int argc, char **argv){
  QApplication app(argc, argv);
  QwwUiViewer *viewer = new QwwUiViewer();
  viewer->show();
  if(argc>1){
    QStringList args = QApplication::arguments();
    for(int i=1;i<args.size();i++){
      if(args[i]=="--file" && i<args.size()-1){
        viewer->loadUi(args[i+1]);
        break;
      }
      if(args[i]=="--help"){
        std::cerr << qPrintable(args[0]) << " [--help] [--file filename.ui]" << std::endl;
        return 0;
      }
    }
  }
  app.connect(viewer, SIGNAL(destroyed()), &app, SLOT(quit()));
  return app.exec();
}
